<ion-view cache-view="false" title="Event Detail" ng-controller="adminEventEditCtrl as eventCtrl">

  <div class="container" style="padding-top: 50px; padding-bottom: 100px">
    <div class="row">
      <div class="col-sm-12">
        <h2>{{eventCtrl.Event.name}}</h2>
        <hr>
      </div>
    </div>

    <div class="row">
      <div class="col-sm-6">
        <div class="row">
          <div class="col-sm-12">
            <h4>Edit General Info:</h4>
            <form>
              <div class="form-group">
                <label>Name:</label>
                <input type="text" class="form-control" ng-model="eventCtrl.Event.name">
              </div>

              <div class="form-group">
                <label>Place:</label>
                <input type="text" class="form-control" ng-model="eventCtrl.Event.place">
              </div>

              <div class="form-group">
                <label>From: <span style="font-size:14px;" class="label label-danger">{{eventCtrl.Event.dateFrom | date:'dd / MMMM / yyyy'}}</span></label>
                <!-- <input type="text" class="form-control" pick-a-date="eventCtrl.Event.dateFrom" placeholder="Select Date"> -->
                <ionic-datepicker input-obj="datepickerFrom">
                  <button class="btn btn-primary btn-block">Click to select event START DATE</button>
                </ionic-datepicker>
              </div>

              <div class="form-group">
                <label>To: <span style="font-size:14px;" class="label label-danger">{{eventCtrl.Event.dateTo | date:'dd / MMMM / yyyy'}}</span></label>
                <!-- <input type="text" class="form-control" pick-a-date="eventCtrl.Event.dateTo" placeholder="Select Date"> -->
                <ionic-datepicker input-obj="datepickerTo">
                  <button class="btn btn-primary btn-block">Click to select event END DATE</button>
                </ionic-datepicker>
                <hr>
              </div>

              <div class="form-group">
                <label>Website url:</label>
                <input type="text" class="form-control" placeholder="http://anato.com" ng-model="eventCtrl.Event.website">
                <hr>
              </div>

              <!-- social -->
              <div class="form-group">
                <label class="col-sm-2 control-label">Twitter:</label>
                <div class="col-sm-10">
                  <input type="text" class="form-control"
                         ng-model="eventCtrl.Event.twitter"
                         placeholder="https://twitter.com/AnatoNacional">
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Facebook:</label>
                <div class="col-sm-10">
                  <input type="text" class="form-control"
                         ng-model="eventCtrl.Event.facebook"
                         placeholder="facebook url">
                </div>
              </div>

              <!-- images -->
              <div class="form-group">
                <div class="row">
                  <div class="col-sm-12">
                    <hr>
                    <label>LOGO: (300 x 120 pixels)</label>
                  </div>
                  <div class="col-sm-4">
                    <img ng-if="eventCtrl.Event.img" ng-src="{{eventCtrl.Event.img}}" class="img-thumbnail">
                  </div>
                  <div class="col-sm-12">
                    <br>
                    <button class="btn btn-success" ngf-select="eventCtrl.uploadImages($files, 'img')" multiple accept="image/*" ngf-max-height="5000">
                      Upload image
                    </button>
                    <hr>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <button type="button" class="btn btn-success" ng-click="eventCtrl.saveEvent()">
                  Update
                </button>
              </div>
            </form>

          </div><!-- /.col -->
        </div><!-- /.row -->

        <div class="row">
          <div class="col-sm-12">
            <hr>
            <h4>Documents:</h4>
            <div class="form-group">
              <div class="col-sm-12 col-sm-offset-2">
                <div class="navbar navbar-default" ng-repeat="doc in eventCtrl.documents">
                  <p class="navbar-text">{{doc.name}}</p>

                  <div class="nav navbar-nav navbar-right" style="margin-right: 15px !important;">
                    <a class="btn btn-primary navbar-btn" ng-href="{{doc.url}}" target="_blank">View PDF</a>
                    <button class="btn btn-success navbar-btn" ng-click="eventCtrl.docEdit(doc)">Edit</button>
                    <button class="btn btn-danger navbar-btn" ng-click="eventCtrl.docDelete(doc)">Remove</button>
                  </div>
                </div>

                <button type="button" class="btn button-positive" ngf-select ngf-change="eventCtrl.uploadfiles($files)" ngf-multiple="true">
                  Add documents
                </button>
              </div>
            </div>
          </div><!-- /.col -->
        </div><!-- /.row -->

      </div>
      <div class="col-sm-4 col-sm-offset-1">
        <div class="row">
          <div class="col-sm-12">
            <h4>Event sections/modules:</h4>
          </div><!-- /.col -->
        </div><!-- /.row -->

        <div class="row">
          <div class="col-sm-12" ng-repeat="module in eventCtrl.modulesAvalibles">
            <div class="sectionEvent" ng-repeat="item in module" ng-if="item.cms">
              <button type="button" class="btn btn-primary btn-block" ng-click="eventCtrl.goTo('admin.' + item.estado)">
                {{item.name}}
              </button>
            </div>
          </div><!-- /.col -->
        </div>

      </div><!-- /c o l - s m  - 6 -->
    </div>

  </div><!-- /. content -->
</ion-view>
